summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorOskar Roesler2019-05-28 18:27:43 +0200
committerGitHub2019-05-28 18:27:43 +0200
commit583151ad3e127427adc80c29356ebe17d83aa6e5 (patch)
tree7b810d26784ab903b2083c78efbfcb18f8e7bd6c
parent83000be82653cb92562a394ee1e46c570a98181c (diff)
parent56074587771892c5fee814c5e2892c4fe954f978 (diff)
downloadaur-583151ad3e127427adc80c29356ebe17d83aa6e5.tar.gz
Merge pull request #2 from acxz/master
Updated source to official ros repo
-rw-r--r--.SRCINFO6
-rw-r--r--CMakeLists-signal.patch11
-rw-r--r--PKGBUILD14
3 files changed, 25 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 00b1d233d0e..3bb7b6d2f1b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -16,8 +16,10 @@ pkgbase = ros-melodic-tf2
depends = ros-melodic-tf2-msgs
depends = ros-melodic-geometry-msgs
depends = console-bridge
- source = ros-melodic-tf2-0.6.5-0.tar.gz::https://github.com/ros-gbp/geometry2-release/archive/release/melodic/tf2/0.6.5-0.tar.gz
- sha256sums = f6776b600f397998cef387bfa57b6ad3e1e396f7a0015521ba7389ce2ca211c4
+ source = ros-melodic-tf2-0.6.5.tar.gz::https://github.com/ros/geometry2/archive/0.6.5.tar.gz
+ source = CMakeLists-signal.patch
+ sha256sums = 9a1268621518fc22afd7b12ef1cf30e6901a57b054535924d1d74fd5d267773a
+ sha256sums = 878047021778a148cac5a2a6f04e8ee45df593f294022db053d42bc7e5692dbd
pkgname = ros-melodic-tf2
diff --git a/CMakeLists-signal.patch b/CMakeLists-signal.patch
new file mode 100644
index 00000000000..b948e26aced
--- /dev/null
+++ b/CMakeLists-signal.patch
@@ -0,0 +1,11 @@
+--- CMakeLists.txt.old 2019-05-24 23:35:56.152546901 -0400
++++ CMakeLists.txt 2019-05-24 23:36:06.709213096 -0400
+@@ -3,7 +3,7 @@
+
+ find_package(console_bridge REQUIRED)
+ find_package(catkin REQUIRED COMPONENTS geometry_msgs rostime tf2_msgs)
+-find_package(Boost REQUIRED COMPONENTS signals system thread)
++find_package(Boost REQUIRED COMPONENTS system thread)
+
+ catkin_package(
+ INCLUDE_DIRS include
diff --git a/PKGBUILD b/PKGBUILD
index 0df672d4b40..d2cdff57ae2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,6 @@ url='http://www.ros.org/wiki/tf2'
pkgname='ros-melodic-tf2'
pkgver='0.6.5'
-_pkgver_patch=0
arch=('any')
pkgrel=1
license=('BSD')
@@ -35,9 +34,16 @@ depends=(
console-bridge
)
-_dir="geometry2-release-release-melodic-tf2-${pkgver}-${_pkgver_patch}"
-source=("${pkgname}-${pkgver}-${_pkgver_patch}.tar.gz"::"https://github.com/ros-gbp/geometry2-release/archive/release/melodic/tf2/${pkgver}-${_pkgver_patch}.tar.gz")
-sha256sums=('f6776b600f397998cef387bfa57b6ad3e1e396f7a0015521ba7389ce2ca211c4')
+_dir="geometry2-${pkgver}/tf2"
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros/geometry2/archive/${pkgver}.tar.gz"
+ CMakeLists-signal.patch)
+sha256sums=('9a1268621518fc22afd7b12ef1cf30e6901a57b054535924d1d74fd5d267773a'
+ '878047021778a148cac5a2a6f04e8ee45df593f294022db053d42bc7e5692dbd')
+
+prepare() {
+ cd "${srcdir}/${_dir}"
+ patch -uN CMakeLists.txt ../../../CMakeLists-signal.patch || return 1
+}
build() {
# Use ROS environment variables.